#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""
Class for holding Realfast Metadata
"""


class RealFastMetadata:
    def __init__(self, json_metadata):
        self._json_metadata = json_metadata

    def get_transient_dm(self):
        return self._json_metadata.transient_DM

    def get_portal_candidate_ids(self):
        return self._json_metadata.portal_candidate_IDs

    def get_transient_ra(self):
        return self._json_metadata.transient_RA

    def get_transient_ra_error(self):
        return self._json_metadata.transient_RA_error

    def get_transient_dec(self):
        return self._json_metadata.transient_Dec

    def get_transient_dec_error(self):
        return self._json_metadata.transient_Dec_error

    def get_transient_snr(self):
        return self._json_metadata.transient_SNR

    def get_transient_dm(self):
        return self._json_metadata.transient_DM

    def get_transient_dm_error(self):
        return self._json_metadata.transient_DM_error

    def get_preaverage_time(self):
        return self._json_metadata.preaverage_time

    def get_rfpipe_version(self):
        return self._json_metadata.rfpipe_version

    def get_prefs_id(self):
        return self._json_metadata.prefs_Id

    def get_rf_qa_label(self):
        return self._json_metadata.rf_QA_label

    def get_rf_qa_zero_fraction(self):
        return self._json_metadata.rf_QA_zero_fraction

    def get_rf_qa_visibility_noise(self):
        return self._json_metadata.rf_QA_visibility_noise

    def get_rf_qa_image_noise(self):
        return self._json_metadata.rf_QA_image_noise
