#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.

""" Contacts-wrester Tests"""

# pylint: disable=E0401, W0613

import argparse
import logging
import sys
from unittest import mock

from contacts_wrest.contacts_wrester import ProjectContactsWrester

logger = logging.getLogger("test_contacts_wrest")
logger.setLevel(logging.INFO)
logger.addHandler(logging.StreamHandler(sys.stdout))

args = argparse.Namespace(project_code="17B-197")
result = ["somebody@somewhere.edu", "a.coauthor@important.edu"]


@mock.patch("contacts_wrest.contacts_wrester.ProjectContactsWrester.retrieve_contacts", return_value=result)
def test_gets_expected_contacts(mock_pymysql):
    """
    Do we get the contacts we expect for a given project?
    N.B. IJ is stoopid. mock_pymysql is a fixture and is NOT unused

    :return:
    """
    wrester = ProjectContactsWrester(args.project_code)
    if args.project_code == "17B-197":
        assert wrester.retrieve_contacts() == result
